Skip to content

Instagram API - 短视频搜索 (V1)

prod-global
GET
/api/instagram/search-reels/v1

允许您通过关键词或话题标签搜索公开的Instagram Reels。它返回每个匹配帖子的详细信息,包括帖子ID、标题、作者资料、发布时间和互动指标。

典型用例:

  • 通过特定关键词或话题标签跟踪趋势和病毒式内容
  • 在特定领域内发现高互动率的Reels
  • 监控品牌提及和活动话题标签

请求参数

参数名位置类型必填说明
tokenquerystringAPI服务的访问令牌。
keywordquerystring用于筛选Reels的搜索关键词或话题标签。
paginationTokenquerystring用于检索下一页结果的令牌。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/instagram/search-reels/v1?token=YOUR_API_KEY&keyword=VALUE"
text
我想使用 Just One API 提供的“短视频搜索 (V1)”接口。
接口地址: https://api.justoneapi.com/api/instagram/search-reels/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/instagram-apis/reels-search-v1-zh.json

请求参数说明:
- token (query): API服务的访问令牌。 (必填)
- keyword (query): 用于筛选Reels的搜索关键词或话题标签。 (必填)
- paginationToken (query): 用于检索下一页结果的令牌。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/instagram/search-reels/v1?token=YOUR_API_KEY&keyword=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/instagram/search-reels/v1?token=YOUR_API_KEY&keyword=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/instagram/search-reels/v1?token=YOUR_API_KEY&keyword=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/instagram/search-reels/v1?token=YOUR_API_KEY&keyword=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/instagram/search-reels/v1?token=YOUR_API_KEY&keyword=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "data": {
      "count": 12,
      "items": [
        {
          "are_remixes_crosspostable": true,
          "boost_unavailable_identifier": null,
          "boost_unavailable_reason": null,
          "boost_unavailable_reason_v2": null,
          "can_reply": false,
          "can_reshare": true,
          "can_save": true,
          "caption": {
            "created_at": 1750330454,
            "created_at_utc": 1750330454,
            "did_report_as_spam": false,
            "hashtags": [],
            "id": "3658358979698325610",
            "is_covered": false,
            "is_ranked_comment": false,
            "mentions": [],
            "private_reply_status": 0,
            "share_enabled": false,
            "text": "Don’t want to target individuals but while China builds DeepSeek and the USA fuels ChatGPT, what are...",
            "type": 1,
            "user": {
              "fbid_v2": "17841408384402054",
              "full_name": "INDIANS",
              "id": "8176439480",
              "is_private": false,
              "is_unpublished": false,
              "is_verified": true,
              "profile_pic_id": "3588980691426456494",
              "profile_pic_url": "https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/485022053_653440917058746_1882529111516476618...",
              "username": "indians"
            },
            "user_id": "8176439480"
          },
          "caption_is_edited": false,
          "clips_demotion_control": {
            "confirmation_body": "We'll suggest fewer posts like this.",
            "confirmation_icon": "none",
            "confirmation_style": "bottomsheet",
            "confirmation_title": "Post hidden",
            "confirmation_title_style": "large_left",
            "enable_word_wrapping": true,
            "followup_options": [
              {
                "data": "author_id:8176439480",
                "demotion_control": {
                  "confirmation_body": "We won't suggest posts from indians.",
                  "confirmation_icon": "eye-off-pano",
                  "confirmation_style": "bottomsheet",
                  "undo_style": "inline"
                },
                "id": "dislike",
                "show_icon": true,
                "style": null,
                "subtitle": null,
                "text": "Don't suggest posts from indians"
              }
            ],
            "title": "Not interested",
            "title_style": "normal",
            "undo_style": "top_right"
          },
          "clips_metadata": {
            "achievements_info": {
              "num_earned_achievements": null,
              "show_achievements": false
            },
            "additional_audio_info": {
              "additional_audio_username": null,
              "audio_reattribution_info": {
                "should_allow_restore": false
              }
            },
            "asset_recommendation_info": null,
            "audio_canonical_id": "18398128711115452",
            "audio_ranking_info": {
              "best_audio_cluster_id": "879257146990125"
            },
            "audio_type": "original_sounds",
            "basel_template_info_for_ig_app": {
              "should_show_reuse_setting_for_owner": false,
              "use_template_deeplink": null
            },
            "branded_content_tag_info": {
              "can_add_tag": false
            },
            "breaking_content_info": null,
            "breaking_creator_info": null,
            "challenge_info": null,
            "clips_creation_entry_point": "clips",
            "content_appreciation_info": {
              "enabled": false,
              "entry_point_container": null
            },
            "contextual_highlight_info": null,
            "cutout_sticker_info": [],
            "disable_use_in_clips_client_cache": false,
            "external_media_info": null,
            "featured_label": null,
            "is_fan_club_promo_video": false,
            "is_public_chat_welcome_video": false,
            "is_shared_to_fb": false,
            "mashup_info": {
              "can_toggle_mashups_allowed": false,
              "formatted_mashups_count": null,
              "has_been_mashed_up": true,
              "has_nonmimicable_additional_audio": false,
              "is_creator_requesting_mashup": false,
              "is_light_weight_check": true,
              "is_light_weight_reuse_allowed_check": false,
              "is_pivot_page_available": false,
              "is_reuse_allowed": true,
              "mashup_type": null,
              "mashups_allowed": true,
              "mashups_allowed_for_carousel": false,
              "non_privacy_filtered_mashups_media_count": 4,
              "original_media": null,
              "privacy_filtered_mashups_media_count": null
            },
            "may_have_template_info": null,
            "merchandising_pill_info": null,
            "music_info": null,
            "nux_info": null,
            "original_sound_info": {
              "allow_creator_to_rename": true,
              "attributed_custom_audio_asset_id": null,
              "audio_asset_start_time_in_ms": 0,
              "audio_filter_infos": null,
              "audio_id": 776949551331585,
              "audio_parts": [],
              "audio_parts_by_filter": [],
              "can_remix_be_shared_to_fb": true,
              "can_remix_be_shared_to_fb_expansion": false,
              "consumption_info": {
                "display_media_id": null,
                "inline_audio_label": null,
                "is_bookmarked": false,
                "is_trending_in_clips": false,
                "should_mute_audio_reason": "",
                "should_mute_audio_reason_type": null,
                "user_notes": null
              },
              "derived_content_start_time_in_composition_in_ms": 0,
              "duration_in_ms": 25532,
              "fb_downstream_use_xpost_metadata": {
                "downstream_use_xpost_deny_reason": "NONE"
              },
              "formatted_clips_media_count": null,
              "hide_remixing": false,
              "ig_artist": {
                "full_name": "INDIANS",
                "id": "8176439480",
                "is_private": false,
                "is_verified": true,
                "profile_pic_id": "3588980691426456494",
                "profile_pic_url": "https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/485022053_653440917058746_1882529111516476618...",
                "username": "indians"
              },
              "is_audio_automatically_attributed": false,
              "is_eligible_for_audio_effects": false,
              "is_eligible_for_vinyl_sticker": true,
              "is_explicit": false,
              "is_original_audio_download_eligible": true,
              "is_reuse_disabled": false,
              "is_xpost_from_fb": false,
              "oa_owner_is_music_artist": false,
              "original_audio_subtype": "default",
              "original_audio_title": "Original audio",
              "original_media_id": "3658358979698325610",
              "overlap_duration_in_ms": 0,
              "previous_trend_rank": null,
              "progressive_download_url": "https://scontent-vie1-1.cdninstagram.com/o1/v/t2/f2/m86/AQPSOabeQQ-Ec6q-2ycbx3TCXtILMEf5tx3T_qYPEm54...",
              "should_mute_audio": false,
              "time_created": 1750330456,
              "trend_rank": null,
              "xpost_fb_creator_info": null
            },
            "originality_info": null,
            "professional_clips_upsell_type": 0,
            "reels_on_the_rise_info": null,
            "reusable_text_attribute_string": null,
            "reusable_text_info": null,
            "shopping_info": null,
            "show_achievements": false,
            "show_tips": null,
            "template_info": null,
            "viewer_interaction_settings": null
          },
          "clips_tab_pinned_user_ids": [],
          "coauthor_producer_can_see_organic_insights": false,
          "coauthor_producers": [],
          "code": "DLFGhv1x3hq",
          "collaborator_edit_eligibility": false,
          "comment_count": 1246,
          "comment_inform_treatment": {
            "action_type": null,
            "should_have_inform_treatment": false,
            "text": "",
            "url": null
          },
          "community_notes_info": {
            "enable_submission_friction": false,
            "has_viewer_submitted_note": false,
            "is_eligible_for_request_a_note": true,
            "note_submission_disabled": false
          },
          "creative_config": null,
          "creator_product_link_infos": [],
          "crosspost_metadata": {
            "fb_downstream_use_xpost_metadata": {
              "downstream_use_xpost_deny_reason": "NONE"
            }
          },
          "cutout_sticker_info": [],
          "deleted_reason": 0,
          "device_timestamp": 1750330386937383,
          "disable_caption_and_comment": false,
          "eligible_insights_entrypoints": "NONE",
          "fb_user_tags": {
            "in": []
          },
          "fbid": "18039135503641750",
          "filter_type": 0,
          "floating_context_items": [],
          "fundraiser_tag": {
            "has_standalone_fundraiser": false
          },
          "gen_ai_chat_with_ai_cta_info": null,
          "gen_ai_detection_method": {
            "detection_method": "NONE"
          },
          "has_audio": true,
          "has_high_risk_gen_ai_inform_treatment": false,
          "has_liked": false,
          "has_privately_liked": false,
          "has_shared_to_fb": 0,
          "has_tagged_users": false,
          "has_views_fetching": true,
          "hidden_likes_string_variant": -1,
          "id": "3658358979698325610",
          "ig_media_sharing_disabled": false,
          "ig_play_count": 931012,
          "igbio_product": null,
          "image_versions": {
            "additional_items": {
              "first_frame": {
                "height": 639,
                "is_spatial_image": false,
                "url": "https://scontent-vie1-1.cdninstagram.com/v/t51.71878-15/502538299_607444955161363_260568239312684606...",
                "width": 360
              },
              "igtv_first_frame": {
                "height": 639,
                "is_spatial_image": false,
                "url": "https://scontent-vie1-1.cdninstagram.com/v/t51.71878-15/502538299_607444955161363_260568239312684606...",
                "width": 360
              },
              "smart_frame": null
            },
            "items": [
              {
                "height": 639,
                "is_spatial_image": false,
                "url": "https://scontent-vie1-1.cdninstagram.com/v/t51.71878-15/502525175_1867395647443214_66184834442390641...",
                "width": 360
              }
            ],
            "scrubber_spritesheet_info_candidates": {
              "default": {
                "file_size_kb": 192,
                "max_thumbnails_per_sprite": 105,
                "rendered_width": 96,
                "sprite_height": 1246,
                "sprite_urls": [
                  "https://scontent-vie1-1.cdninstagram.com/v/t51.71878-15/504348892_647909378296523_627676659412706866..."
                ],
                "sprite_width": 1500,
                "thumbnail_duration": 0.24316190476190477,
                "thumbnail_height": 178,
                "thumbnail_width": 100,
                "thumbnails_per_row": 15,
                "total_thumbnail_num_per_sprite": 105,
                "video_length": 25.532
              }
            }
          },
          "integrity_review_decision": "pending",
          "invited_coauthor_producers": [],
          "is_artist_pick": false,
          "is_comments_gif_composer_enabled": true,
          "is_cutout_sticker_allowed": true,
          "is_dash_eligible": 1,
          "is_eligible_content_for_post_roll_ad": false,
          "is_eligible_for_autodub": false,
          "is_eligible_for_autodub_upsell": false,
          "is_eligible_for_organic_eager_refresh": false,
          "is_eligible_for_poe": false,
          "is_in_profile_grid": false,
          "is_open_to_public_submission": false,
          "is_organic_product_tagging_eligible": true,
          "is_paid_partnership": false,
          "is_photo_comments_composer_enabled_for_author": false,
          "is_pinned": false,
          "is_post_live_clips_media": false,
          "is_quiet_post": false,
          "is_reshare_of_text_post_app_media_in_ig": false,
          "is_reuse_allowed": true,
          "is_social_ufi_disabled": false,
          "is_tagged_media_shared_to_viewer_profile_grid": false,
          "is_third_party_downloads_eligible": true,
          "is_video": true,
          "like_and_view_counts_disabled": false,
          "like_count": 78774,
          "location": null,
          "locations": [],
          "media_attributions_data": [],
          "media_format": "video",
          "media_name": "reel",
          "media_notes": {
            "items": []
          },
          "media_overlay_info": null,
          "media_reposter_bottomsheet_enabled": false,
          "media_type": 2,
          "media_ui_attributions_data": [],
          "meta_ai_suggested_prompts": [],
          "music_metadata": null,
          "number_of_qualities": 2,
          "original_height": 1280,
          "original_width": 720,
          "play_count": 931012,
          "product_suggestions": [],
          "product_type": "clips",
          "related_ads_pivots_media_info": "USER_NOT_IN_TEST_GROUP",
          "report_info": {
            "has_viewer_submitted_report": false
          },
          "share_count": 11385,
          "share_count_disabled": false,
          "sharing_friction_info": {
            "bloks_app_url": null,
            "sharing_friction_payload": null,
            "should_have_sharing_friction": false
          },
          "should_show_author_pog_for_tagged_media_shared_to_profile_grid": false,
          "social_context": [],
          "sponsor_tags": [],
          "subscribe_cta_visible": false,
          "subtype_name_for_REST__": "XDTClipsMedia",
          "tagged_users": [],
          "taken_at": 1750330453,
          "taken_at_date": "2025-06-19T10:54:13+00:00",
          "taken_at_ts": 1750330453,
          "thumbnail_url": "https://scontent-vie1-1.cdninstagram.com/v/t51.71878-15/502525175_1867395647443214_66184834442390641...",
          "timeline_pinned_user_ids": [],
          "top_likers": [],
          "translated_langs_for_autodub": [],
          "user": {
            "account_badges": [],
            "account_type": 3,
            "aigm_account_label_info": {
              "is_auto_detected": false,
              "is_enabled": false,
              "is_manually_enabled": false
            },
            "eligible_for_text_app_activation_badge": false,
            "fan_club_info": {
              "autosave_to_exclusive_highlight": null,
              "connected_member_count": null,
              "fan_club_id": null,
              "fan_club_name": null,
              "fan_consideration_page_revamp_eligiblity": null,
              "has_created_ssc": null,
              "has_enough_subscribers_for_ssc": null,
              "is_fan_club_gifting_eligible": null,
              "is_fan_club_referral_eligible": null,
              "is_free_trial_eligible": null,
              "largest_public_bc_id": null,
              "should_show_playlists_in_profile_tab": null,
              "subscriber_count": null
            },
            "fbid_v2": "17841408384402054",
            "feed_post_reshare_disabled": false,
            "full_name": "INDIANS",
            "has_anonymous_profile_picture": false,
            "id": "8176439480",
            "is_favorite": false,
            "is_private": false,
            "is_ring_creator": false,
            "is_unpublished": false,
            "is_verified": true,
            "latest_reel_media": 1772989935,
            "profile_pic_id": "3588980691426456494",
            "profile_pic_url": "https://scontent-vie1-1.cdninstagram.com/v/t51.2885-19/485022053_653440917058746_1882529111516476618...",
            "show_account_transparency_details": true,
            "show_ring_award": false,
            "third_party_downloads_enabled": 1,
            "transparency_product_enabled": false,
            "user_activation_info": [],
            "username": "indians"
          },
          "video_codec": "av01.0.05M.08.0.111.01.01.01.0",
          "video_duration": 25.541000366210938,
          "video_sticker_locales": [],
          "video_url": "https://scontent-vie1-1.cdninstagram.com/o1/v/t2/f2/m86/AQMpj6bzWHffB60z5p85o_G-RaUV-2t1M-fK5uYmMBkh...",
          "video_versions": [
            {
              "bandwidth": 587112,
              "fallback": null,
              "height": 1280,
              "id": "3169252416563970v",
              "type": 101,
              "url": "https://scontent-vie1-1.cdninstagram.com/o1/v/t2/f2/m86/AQMpj6bzWHffB60z5p85o_G-RaUV-2t1M-fK5uYmMBkh...",
              "url_expiration_timestamp_us": null,
              "width": 720
            }
          ],
          "view_state_item_type": 128
        }
      ]
    },
    "pagination_token": "GU1bBDYpExZaZQkTAQVGRg4RHE8-RTEQAFkdPlsHV0BlDRlHBmoRWANGFl8CRgdNTRBuBFAcGAAKADABF1IDQl9VWxMsBxUOGCoN..."
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。